Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.openpgp.examples
Class RSAKeyPairGenerator

    java.lang.Object
      org.bouncycastle.openpgp.examples.RSAKeyPairGenerator

    public class RSAKeyPairGenerator

extends java.lang.Object

A simple utility class that generates a RSA PGPPublicKey/PGPSecretKey pair.

usage: RSAKeyPairGenerator [-a] identity passPhrase

Where identity is the name to be associated with the public key. The keys are placed in the files pub.[asc|bpg] and secret.[asc|bpg].

Constructor Summary
`RSAKeyPairGenerator()`

Method Summary
`static void` `main(java.lang.String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RSAKeyPairGenerator

    public RSAKeyPairGenerator()

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Bouncy Castle Cryptography Library 1.45